package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import com.css.simulation.resource.scheduler.infra.db.entity.AlgorithmExpandEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface AlgorithmExpandMapper {
    void updateStatusByAlgorithmId(AlgorithmExpandEntity algorithmExpandEntity);

    String selectIdByAlgorithmId(AlgorithmExpandEntity build);

    void updateDockerImportAndDockerImageById(@Param("dockerImport") String dockerImport,@Param("dockerImage") String dockerImage, @Param("algorithmId") String algorithmId);

    String selectDockerImageByAlgorithmId(@Param("algorithmId") String algorithmId);
}
